com.io7m.r2.filters

## Class R2ShaderFilterEmissionParameters.Builder

- java.lang.Object
- - com.io7m.r2.filters.R2ShaderFilterEmissionParameters.Builder

- Enclosing class:
    R2ShaderFilterEmissionParameters

      public static final class R2ShaderFilterEmissionParameters.Builder
      extends Object

  Builds instances of type `R2ShaderFilterEmissionParameters`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

  `Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `R2ShaderFilterEmissionParameters` | `build()` Builds a new `R2ShaderFilterEmissionParameters`.
    `R2ShaderFilterEmissionParameters.Builder` | `from(R2ShaderFilterEmissionParametersType instance)` Fill a builder with attribute values from the provided `R2ShaderFilterEmissionParametersType` instance.
    `R2ShaderFilterEmissionParameters.Builder` | `setAlbedoEmissionTexture(R2Texture2DUsableType albedoEmissionTexture)` Initializes the value for the `albedoEmissionTexture` attribute.
    `R2ShaderFilterEmissionParameters.Builder` | `setEmissionIntensity(float emissionIntensity)` Initializes the value for the `emissionIntensity` attribute.
    `R2ShaderFilterEmissionParameters.Builder` | `setGlowIntensity(float glowIntensity)` Initializes the value for the `glowIntensity` attribute.
    `R2ShaderFilterEmissionParameters.Builder` | `setGlowTexture(R2Texture2DUsableType glowTexture)` Initializes the value for the `glowTexture` attribute.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### from

          public final R2ShaderFilterEmissionParameters.Builder from(R2ShaderFilterEmissionParametersType instance)

      Fill a builder with attribute values from the provided `R2ShaderFilterEmissionParametersType` instance. Regular attribute values will be replaced with those from the given instance. Absent optional values will not replace present values.
      Parameters:
        `instance` - The instance from which to copy values
      Returns:
        `this` builder for use in a chained invocation

    - #### setAlbedoEmissionTexture

          public final R2ShaderFilterEmissionParameters.Builder setAlbedoEmissionTexture(R2Texture2DUsableType albedoEmissionTexture)

      Initializes the value for the `albedoEmissionTexture` attribute.
      Parameters:
        `albedoEmissionTexture` - The value for albedoEmissionTexture
      Returns:
        `this` builder for use in a chained invocation

    - #### setEmissionIntensity

          public final R2ShaderFilterEmissionParameters.Builder setEmissionIntensity(float emissionIntensity)

      Initializes the value for the `emissionIntensity` attribute.

      If not set, this attribute will have a default value as returned by the initializer of `emissionIntensity`.

      Parameters:
        `emissionIntensity` - The value for emissionIntensity
      Returns:
        `this` builder for use in a chained invocation

    - #### setGlowTexture

          public final R2ShaderFilterEmissionParameters.Builder setGlowTexture(R2Texture2DUsableType glowTexture)

      Initializes the value for the `glowTexture` attribute.
      Parameters:
        `glowTexture` - The value for glowTexture
      Returns:
        `this` builder for use in a chained invocation

    - #### setGlowIntensity

          public final R2ShaderFilterEmissionParameters.Builder setGlowIntensity(float glowIntensity)

      Initializes the value for the `glowIntensity` attribute.

      If not set, this attribute will have a default value as returned by the initializer of `glowIntensity`.

      Parameters:
        `glowIntensity` - The value for glowIntensity
      Returns:
        `this` builder for use in a chained invocation

    - #### build

          public R2ShaderFilterEmissionParameters build()

      Builds a new `R2ShaderFilterEmissionParameters`.
      Returns:
        An immutable instance of R2ShaderFilterEmissionParameters
      Throws:
        `IllegalStateException` - if any required attributes are missing

Copyright © 2017 <code@io7m.com> http://io7m.com